#include    <fcntl.h>
#include    <unistd.h>
#include    <stdio.h>
#include    <stdlib.h>
#include    <sys/types.h>
#include    <sys/stat.h>
#include    "error.h"

int main(int argc,char *argv[])
{
  int lgt, fd;
  char buffer[512];

  if (argc != 2) err_quit("usage: fifoin <filename>");

  if (mkfifo(argv[1],0777)<0) 
     err_sys("mkfifo error for %s", argv[1]);
  if ((fd=open(argv[1], O_RDONLY)) < 0)
    err_sys("open error for %s", argv[1]);

  while ((lgt=read(fd,buffer,512))>0) {
     write(1,"FIFO: ",6);
     write(1,buffer,lgt);
  }
  unlink(argv[1]);
  exit(0);
}
