#include <sys/types.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>
#include <sys/stat.h>
#include "error.h"


int main(int argc,char *argv[])
{
	int			i;
	struct stat	buf;
	char		*ptr;
	long size; int blocks;

        if ( argc <= 1 ) {
              printf("use: %s <Filename>\n",argv[0]);
              exit(-1);
        }

	for (i = 1; i < argc; i++) {
		printf("%s: ", argv[i]);
		if (lstat(argv[i], &buf) < 0) {
			err_ret("lstat error");
			continue;
		}

		if      (S_ISREG(buf.st_mode)){
		    ptr = "regular";
                    size= buf.st_size;
		    blocks=buf.st_blocks;
                }
		else{
		    ptr = "no regulare file";
		    size= buf.st_size;
		    blocks=buf.st_blocks;
                }

		printf("%s: size: %ld, blocks: %d, need blocks for data: %ld\n", ptr,size,blocks,
		      (size+511)/512);
	}
	exit(0);
}
