/* s_sock.c  - Server for tcp-socket */
#include "inet.h"

void talk(int sockfd)
{  int n,i;
   char sendline[MAXLINE];
   fd_set readset;


   write(1,"s> ",3);
   while(1) {
     FD_ZERO(&readset);
     FD_SET(sockfd,&readset);
     FD_SET(0,&readset);
     if ( (i = select(sockfd+1,&readset,NULL,NULL,NULL)) > 0 ) {
       if (FD_ISSET(0,&readset)){
          if ((n = read(0,sendline, MAXLINE))<=0) break;
          write(sockfd, sendline, n);
          write(1,"s> ",3);
       }
       if (FD_ISSET(sockfd,&readset)){
             if ((n=read(sockfd,sendline,MAXLINE))<=0) break;
             write(1,"\n",1);
             write(1,sendline,n);
             write(1,"S> ",3);
       }
     }
  }
  write(1,"\n ",1);
}
int main(int argc,char *argv[])
{  int sockfd, newsockfd, clilen, childpid,i;
   struct sockaddr_in  cli_addr, serv_addr;
   if (( sockfd = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
     fprintf(stderr,"server: can't open socket\n"); exit(-1);
   }
   bzero((char *) &serv_addr, sizeof(serv_addr));
   serv_addr.sin_family = AF_INET;
   serv_addr.sin_addr.s_addr = htonl(INADDR_ANY);
   serv_addr.sin_port = htons(SERV_TCP_PORT);
   if ((i=bind(sockfd, (struct sockaddr *) &serv_addr,
                                    sizeof(serv_addr))) < 0){
      fprintf(stderr, "server: bind error: %d\n",i); exit(-2);
   }
   listen(sockfd,5);
   for (;;) {
      clilen = sizeof(cli_addr);
      newsockfd = 
         accept(sockfd, (struct sockaddr *) &cli_addr,(socklen_t *) &clilen);
      if  (newsockfd < 0){
         fprintf(stderr,"server: accept error\n"); exit(-3);
      }
      if ((childpid = fork()) < 0) {
         fprintf(stderr,"server: fork error\n"); exit(-4);
      } else if (childpid == 0) {
                close(sockfd);
                talk(newsockfd);
                exit(0);
      }
      close(newsockfd);
   }
   exit(0);
}
